class AtomSQLError(Exception):
    pass


class ImproperlyConfigured(AtomSQLError):
    pass


class IntegrityError(AtomSQLError):
    """Raised when a database integrity constraint (like UNIQUE) is violated."""

    pass
